project:
  name: project
  collection: bigtableadmin.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: Project name.

instance:
  name: instance
  collection: bigtableadmin.projects.instances
  attributes:
  - *project
  - &instance
    parameter_name: instancesId
    attribute_name: instance
    help: Name of the Cloud Bigtable instance.
  disable_auto_completers: false

cluster:
  name: cluster
  collection: bigtableadmin.projects.instances.clusters
  attributes:
  - *project
  - *instance
  - &cluster
    parameter_name: clustersId
    attribute_name: cluster
    help: Name of the Cloud Bigtable cluster.
  disable_auto_completers: false

table:
  name: table
  collection: bigtableadmin.projects.instances.tables
  attributes:
  - *project
  - *instance
  - &table
    parameter_name: tablesId
    attribute_name: table
    help: Name of the Cloud Bigtable table.
  disable_auto_completers: false

backup:
  name: backup
  collection: bigtableadmin.projects.instances.clusters.backups
  attributes:
  - *project
  - *instance
  - *cluster
  - &backup
    parameter_name: backupsId
    attribute_name: backup
    help: Name of the Cloud Bigtable backup.
  disable_auto_completers: false

operation:
  name: operation
  collection: bigtableadmin.operations
  attributes:
  - &operation
    parameter_name: operationsId
    attribute_name: operation
    help: Name of the Cloud Bigtable operation.
  disable_auto_completers: false

app_profile:
  name: app-profile
  collection: bigtableadmin.projects.instances.appProfiles
  attributes:
  - *project
  - *instance
  - &appProfile
    parameter_name: appProfilesId
    attribute_name: app_profile
    help: Name of the Cloud Bigtable app profile.
